
function irfs = dyn_plotirfs(nrow,ncol,varargin)

  global oo_ M_
  
  SS  = dyn_sssim('ss', M_,oo_);
  IRF = dyn_sssim('irf',M_,oo_);
  N   = length(varargin);

  irfs = figure();
  
  for i=1:N
    
    var = varargin{i};

    if iscell(var)==0;
      
      var_eH = strcat(var,'_eH');

      ss = getfield(SS,var); %#ok<*GFLD>
      if ss == 0; pct = 1; else pct = ss; end;
      irf = 100*(getfield(IRF,var_eH))/pct;

      applyfmt = @(x)  set(x,... 
          {'Color'},{'b','k'}',...
          {'LineStyle'},{'-','-'}',...
          {'LineWidth'},{1,.5}'...
          );

      subplot(nrow,ncol,i)
      g1 = plot([irf ; zeros(1,length(irf))]');
      xlim([0 length(irf)]);
      applyfmt(g1)
      title(var)

    else

      varH = var{1};
      varH_eH = strcat(varH,'_eH');
      SS_H = getfield(SS,varH); %#ok<*GFLD>
      if SS_H == 0; pct = 1; else pct = SS_H; end;
      irfH = 100*(getfield(IRF,varH_eH))/pct;
      
      varF = var{2};
      varF_eH = strcat(varF,'_eH');
      SS_F = getfield(SS,varF); %#ok<*GFLD>
      if SS_F == 0; pct = 1; else pct = SS_F; end;
      irfF = 100*(getfield(IRF,varF_eH))/pct;

      applyfmt = @(x)  set(x,... 
          {'Color'},{'r','b','k'}',...
          {'LineStyle'},{'-','-','-'}',...
          {'LineWidth'},{1,1,.5}'...
          );

      subplot(nrow,ncol,i)
      g1 = plot([irfH ; irfF; zeros(1,length(irfH))]');
      xlim([0 length(irfH)]);
      applyfmt(g1)
      legend(varH,varF,'Location','Best')
      title(strcat(varH,',',varF))

    end

  end
  
  set(irfs,'Color',[1 1 1])
  
end