
function irfs = dyn_plotirfs2(nrow,ncol,varargin)

  global oo_ M_
  
  SS1  = dyn_sssim('ss', M_,oo_);
  IRF1 = dyn_sssim('irf',M_,oo_);
  SS2  = dyn_sssim('ss', M_,oo_);
  IRF2 = dyn_sssim('irf',M_,oo_);
  N    = length(varargin);

  irfs = figure();
  
  for i=1:N
    
    var1 = strcat(varargin{i}{1},'_eH');
    SS_noq = getfield(SS1,varargin{i}{1}); %#ok<*GFLD>
    if SS_noq == 0; pct = 1; else pct = SS_noq; end;
    irf_noq = 100*(getfield(IRF1,var1))/pct;

    var2 = strcat(varargin{i}{2},'_eH');
    SS_q = getfield(SS2,varargin{i}{1}); %#ok<*GFLD>
    if SS_q == 0; pct = 1; else pct = SS_q; end;
    irf_q = 100*(getfield(IRF2,var2))/pct;

    applyfmt = @(x)  set(x,... 
        {'Color'},{'k','k','r'}',...
        {'LineStyle'},{'-','--','-'}',...
        {'LineWidth'},{1,1,.5}'...
        );

    subplot(nrow,ncol,i)
    g1 = plot([irf_noq ; irf_q; zeros(1,length(irf_noq))]');
    xlim([0 length(irf_noq)]);
    applyfmt(g1)
    title(varargin{i}{1})
    if i==N 
      legend('Non-adjusted','Adjusted','Location','Best')
    end
    
  end
  
  set(irfs,'Color',[1 1 1])
  
end