
% Provides steady state values to dynamic problem solver
 
bet  = 0.99;  % match r
the  = -1;    % from literature 
phib = 0.001;  % from literature
lam  = 0     % default =0 ( GHH=8) 
gam  = 1;     % fixed DON'T CHANGE THIS VALUE! useful for other versions (diff qadj structure).
tau  = 1;     % fixed DON'T CHANGE THIS VALUE! useful for other versions (iceberg costs). 
phik = 1;     % fixed DON'T CHANGE THIS VALUE! useful for other versions (diff Kadj function).
muH  = .36  % match n: default=0.36 , GHH =[1.5,1.25].  
muF  = muH;   % "    
FH   = 0.19;   % match corr(gdpH,xH) 
FF   = FH;    % "
del  = .025;  %standard .025 %match x/k  (Diego 0.033)
nu   = .777;%.7777;%.67;  % match x   (Diego 0.665)
alfH = .82;% literature Coeurdacier 0.75 for 2005. Ave 1971-1998:18.15->alfH 0.82 foreign, ave 1999-2019:26.66 foreign->alfH 0.734
alfF = alfH;  % "    
rho  = 0.96;  % estimated
eta  = .84;  % match sd(x)/sd(gdp) (Diego .92)
aHH  = 0.96;%HP(2002)=0.97 %BKK 1994=0.906 % AR(1) shock - Gomme and Rupert 2005 0.7518;%Pancrazi-Vukotic (2013).85; % 0.84;  % match corr(cH,cF)
aFF  = aHH;   % "
aFH  = 0;%0.025;%HP(2002)=0.025 %BKK 1994=0.088 % 0.100; % match corr(nH,nF)
aHF  = 0.00015;%aFH;   % " 

save('par.mat'); %save parameter values in a matrix
Data=load('par.mat'); %retrieve parameter values in structure form
par=Data; %rename the structure

  % Initial guess
   %     X0 = [0.34; 0.34; 0.02; 0.02; 1.8; 1.8];
 X0 = [0.34; 0.34; 1; 1; 2.5; 2.5]; %last used by Diego

  
  options = optimset('fsolve');
  options = optimset(options,'Display','off');
  X  = fsolve(@(X) dyn_det_try(X),X0,options);
  
  nH = X(1);
  nF = X(2);
  xH = X(3);
  xF = X(4);
  wH = X(5);
  wF = X(6);

  [cH, YH, WH, qH, pH, dH, mH, yH, lHy, lHq, IH, UcH, kH, RH, ...
   cF, YF, WF, qF, pF, dF, mF, yF, lFy, lFq, IF, UcF, kF, RF] = sseqs_try(X);

    bH  = 0; %eq 43 in dyn_main
    bF  = 0;  

    r   = bet; %eq 16 in dyn_main
    
    zH = 1; %eq 19 in dyn_main
    zF = 1; 
    
  % Terms of trade %eq 25 in dyn_main
    totH = 1;
    totF = 1;
    
  % Price index (P) % eq 26 in dyn_main
    PH = 1; %(alfH*IH*pH^nu + (1-alfH)*IF*tau*pF^nu)^(1/nu);
    PF = 1; %(alfF*IF*pF^nu + (1-alfF)*IH*tau*pH^nu)^(1/nu);
  
  % Real exchange rate %eq 27 in dyn_main
    rerH = PF./PH;
    rerF = PH./PF;
    
  % Exports %eq 21 in dyn_main
    exH = tau*IH.*mF.*pH;
    exF = tau*IF.*mH.*pF;
    
  % GDP %eq20 in dyn_main
    gdpH = YH + exH - exF; %gdpH=IH*pH*(dH+mF);
    gdpF = YF + exF - exH; %gdpF=IF*pF*(dF+mH);
    
  % Net exports %eq28 in dyn_main
    nxH = (exH-exF)./gdpH;
    nxF = (exF-exH)./gdpF;
    
  % Measured aggregates (coincide in ss)
    mYH = YH; %eq22 dyn_main
    mYF = YF;
    mcH = cH; %eq24 dyn_main
    mcF = cF;
    mxH = xH; %eq 23 dyn_main
    mxF = xF;
    
  % Relative output (RY) %eq29 in dyn_main
    RYH = gdpH./gdpF;
    RYF = gdpF./gdpH;
    
  % Relative consumption (RC) %eq 30 in dyn_main
    RCH = mcH./mcF;
    RCF = mcF./mcH;
    
  % Quality adjusted variables %eq 31-42 in dyn_main
    qadjH = 1;
    qYH   = YH;
    qcH   = cH;
    qxH   = xH;
    qtotH = totH;
    qPH   = PH;
    qrerH = rerH;
    qexH  = exH;
    qgdpH = gdpH;
    qnxH  = nxH;
    qRYH  = RYH;
    qRCH  = RCH;
    qadjF = 1;
    qYF   = YF;
    qcF   = cF;
    qxF   = xF;
    qtotF = totF;
    qPF   = PF;
    qrerF = rerF;
    qexF  = exF;
    qgdpF = gdpF;
    qnxF  = nxF;
    qRYF  = RYF;
    qRCF  = RCF;
   

stst = [
     cH;
     cF;   %2 Consumption
    YH;
    YF; %4 Output of final good
    WH;
    WF;   %6 "Effective" world income
    qH;
    qF;   %8 Quality
    pH;
    pF; %10 Prices
    dH;
    dF;   %12 Domestic demand: produced and used domestically
    mH;
    mF;   %14 Foreign demand: produced abroad, consumed here
    yH;
    yF;   %16 Output of intermediate good
    lHy;
    lFy; %18 Manufacturing labor demand
    lHq;
    lFq; %20 q-enhancing labor demand
    IH;
    IF;   %22 Number of firms
    UcH;
    UcF; %24 Marginal utility of consumption
    nH;
    nF; %26 Labor supply
    xH;
    xF;   %28 Investment
    kH;
    kF;   %30 Capital
    RH;
    RF;   %32 Rental price of capital
    bH;
    bF;   %34 Savings
    wH;
    wF; %36 Salaries
    zH;
    zF;  %38 Technology shocks to manufacturing
    mYH;
    mYF;  %40 Measured Y
    mcH;
    mcF;  %42 Measured c
    mxH;
    mxF;  %44 Measured x
    totH;
    totF; %46 Terms of trade
    PH;
    PF;   %48 Price index
    rerH;
    rerF; %50 Real exchange rate
    exH;
    exF;  %52 Exports
    gdpH;
    gdpF; %54 GDP
    nxH;
    nxF;  %56 Net exports
    RYH;
    RYF;  %58 Relative output
    RCH;
    RCF;  %60 Relative consumption
    qadjH;
    qadjF; %62 Quality adjustment to prices
    qYH;
    qYF;   %64 Quality adjusted Y
    qcH;
    qcF;   %66 Quality adjusted c
    qxH;
    qxF;   %68 Quality adjusted x
    qtotH;
    qtotF; %70 Quality adjusted Terms of trade
    qPH;
    qPF;   %72 Quality adjusted Price index
    qrerH;
    qrerF; %74 Quality adjusted Real exchange rate
    qexH;
    qexF;  %76 Quality adjusted Exports
    qgdpH;
    qgdpF; %78 Quality adjusted GDP
    qnxH;
    qnxF;  %80 Quality adjusted Net exports
    qRYH;
    qRYF;  %82 Quality adjusted Relative output
    qRCH;
    qRCF  %84 Quality adjusted Relative consumption
    ]


save stst.mat ...
    cH cF YH YF WH WF qH qF pH pF dH dF mH mF yH yF lHy lFy lHq lFq IH IF...
    UcH UcF nH nF xH xF kH kF RH RF bH bF wH wF zH zF mYH mYF mcH mcF...
    mxH mxF totH totF PH PF rerH rerF exH exF gdpH gdpF nxH nxF RYH RYF...
    RCH RCF qadjH qadjF qYH qYF qcH qcF qxH qxF qtotH qtotF qPH qPF...
    qrerH qrerF qexH qexF qgdpH qgdpF qnxH qnxF qRYH qRYF qRCH qRCF;

clear Data;
Data=load('stst.mat'); %retrieve parameter values in structure form to know variables ordering in stst.mat
stst=Data; %rename the structure